<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
require_once dirname(__FILE__) . '/../wordpress/require.php';

require_once dirname(__FILE__) . '/config.php';

$config = new WordPress_Config(
    BLOG_URL,
    USER_NAME,
    PASSWORD,
    BLOG_ID
);

$obj = new WordPress_CommentAPI($config);

//getComments();
//getComment();
//getCommentCount();
//getCommentStatusList();
//newComment();
//editComment();
//deleteComment();

function getComments()
{
    global $obj;

    $comment = array(
        'post_id' => POST_ID,
        'offset' => 0,
        'number' => 10
    );

    $data = $obj->getComments($comment);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function getComment()
{
    global $obj;

    $commend_id = 3;
    $data = $obj->getComment($commend_id);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function getCommentCount()
{
    global $obj;
    $data = $obj->getCommentCount(POST_ID);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function getCommentStatusList()
{
    global $obj;
    $data = $obj->getCommentStatusList();
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function newComment()
{
    global $obj;

    $comment = array(
        'comment_parent' => '',
        'content' => "XML-RPCからの投稿\nうまくいくかな？",
        'author' => 'テストの投稿者',
        'author_url' => 'http://example.com',
        'author_email' => 'test@example.com'
    );

    $new_comment_id = $obj->newComment(POST_ID, $comment);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($new_comment_id);
}

function editComment()
{
    global $obj;

    $comment = array(
        'status' => 'approve',
        'date_created_gmt' => date('Y-m-d H:i:s'),
        'content' => "XML-RPCにてコメント編集します。",
        'author' => 'テストの投稿者',
        'author_url' => 'http://example.com',
        'author_email' => 'test@example.com'
    );

    $comment_id = "9";

    $result = $obj->editComment($comment_id, $comment);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($result);
}

function deleteComment()
{
    global $obj;

    $comment_id = $new_comment_id;
    $data = $obj->deleteComment($comment_id);
    if ($obj->isError()) {
        echo $obj->getError();
        return ;
    }
    var_dump($data);
}
