<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
require_once dirname(__FILE__) . '/../wordpress/require.php';

require_once dirname(__FILE__) . '/config.php';

$config = new WordPress_Config(
    BLOG_URL,
    USER_NAME,
    PASSWORD,
    BLOG_ID
);

$obj = new WordPress_PageAPI($config);

//getPages();
//getPage();
//getPageList();
//newPage();
//editPage();
//deletePage();
//getPageStatusList();
//getPageTemplates();

function getPages()
{
    global $obj;

    $data = $obj->getPages();
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function getPage()
{
    global $obj;

    $page_id = 1;

    $data = $obj->getPage($page_id);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function getPageList()
{
    global $obj;

    $data = $obj->getPageList();
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function newPage()
{
    global $obj;

    $content = array(
        'wp_slug' => 'page1',
        'wp_password' => '',
        'wp_page_parent_id' => '',
        'wp_page_order' => '',
        'wp_author_id' => '',
        'title' => 'タイトル',
        'description' => '詳細',
        'mt_excerpt' => '',
        'mt_text_more' => '続き',
        'mt_allow_comments' => 1,
        'mt_allow_pings' => 1,
        'dateCreated' => WordPress_Util::createDateTime(time()),
        'custom_fields' => array(),
        'publish' => true
    );

    $data = $obj->newPage($content);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function editPage()
{
    global $obj;

    $content = array(
        'wp_slug' => 'page1',
        'wp_password' => '',
        'wp_page_parent_id' => '',
        'wp_page_order' => '',
        'wp_author_id' => '',
        'title' => 'タイトル2',
        'description' => '詳細2',
        'mt_excerpt' => '',
        'mt_text_more' => '続き2',
        'mt_allow_comments' => 1,
        'mt_allow_pings' => 1,
        'dateCreated' => WordPress_Util::createDateTime(time()),
        'custom_fields' => array(),
        'publish' => true
    );

    $page_id = 133;

    $data = $obj->editPage($page_id, $content);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function deletePage()
{
    global $obj;

    $page_id = 133;

    $data = $obj->deletePage($page_id);
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function getPageStatusList()
{
    global $obj;

    $data = $obj->getPageStatusList();
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}

function getPageTemplates()
{
    global $obj;

    $data = $obj->getPageTemplates();
    if ($obj->isError()) {
        echo $obj->getError();
        return;
    }
    var_dump($data);
}
