<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * WordPress XML-RPC Config関連API
 *
 * Config関連APIのクライアント
 *
 * PHP version 5
 *
 * LICENSE: This LICENSE is in the New BSD license style.
 *
 * @category  WordPress
 * @package   WordPress_Core
 * @author    Takahiro Ooishi <taka0125@users.sourceforge.jp>
 * @version   SVN : $Id: OptionAPI.class.php 6 2009-10-03 18:41:22Z taka0125 $
 * @copyright 2009 Takahiro Ooishi
 * @license   http://opensource.org/licenses/bsd-license.php New BSD License
 * @see       http://codex.wordpress.org/XML-RPC_wp
 */

/**
 * WordPress XML-RPC Config関連API
 *
 * Config関連APIのクライアント
 *
 * @category  WordPress
 * @package   WordPress_Core
 * @abstract
 * @author    Takahiro Ooishi <taka0125@users.sourceforge.jp>
 * @version   Release: @package_version@
 * @copyright 2009 Takahiro Ooishi
 * @license   http://opensource.org/licenses/bsd-license.php New BSD License
 * @see       http://codex.wordpress.org/XML-RPC_wp
 *
 */
class WordPress_Core_OptionAPI extends WordPress_API
{
   /**
    * オプションの取得
    *
    * @param array $options 取得したいオプション情報(空のarrayだと全取得)
    * @return array オプション情報。失敗時はfalse
    */
    function getOptions($options)
    {
        $params = array(
            $this->config->blogId(),
            $this->config->username(),
            $this->config->password(),
            $options
        );

        $request = $this->buildRequest('wp.getOptions', $params);

        return $this->request($request);
    }

   /**
    * オプションの設定
    *
    * @param array $options オプション情報
    * @return array オプション情報。失敗時はfalse
    */
    function setOptions($options)
    {
        $params = array(
            $this->config->blogId(),
            $this->config->username(),
            $this->config->password(),
            $options
        );

        $request = $this->buildRequest('wp.setOptions', $params);

        return $this->request($request);
    }
}
